extension:
  name: openalex
  display_name: OpenAlex
  version: 0.1.0
  host: science
  category: oa_papers
  description: |
    OpenAlex adapter — 250M+ scholarly works with citation graph,
    author disambiguation, institutional affiliations, OA license
    metadata. One of the nine Logos-training corpus aggregators.

    Phase-1 reference extension per EldricOS.md §8022. Speaks ETP
    (gRPC over Unix socket) to the science role host; exposes
    search, fetch, citations, and author-disambiguation tools to
    the Brain via tool-manifest registration.

  model: A                    # Eldric-managed subprocess (default)
  runtime: python
  entry_point: eldric_ext_openalex.main:serve

  capabilities:
    - search
    - fetch
    - citations
    - authors
    - institutions

  tools:
    - openalex.search
    - openalex.fetch
    - openalex.citations
    - openalex.author_disambiguate

  required_env:
    - OPENALEX_MAILTO          # OpenAlex polite-pool identifier

  license_tier: free
  signature_key: ""            # unsigned — Phase-3 adds Ed25519 verification
